<%@ page language="java" import="java.util.*" pageEncoding="utf-8"%>
<jsp:include flush="true" page="error.jsp"/>
<%@ taglib uri="/struts-tags" prefix="s" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
      <jsp:include page="cssoa.jsp"></jsp:include>
    <title></title>
 

  </head>
  
  <body>
   <div id="marqueen" style="display">访问页面正在创建中......</div>
  <marquee  onmouseover=this.stop()  
            onmouseout=this.start() scrollAmount=2 scrollDelay=3 
            behavior=alternate height=17  direction="right"><b><i>
<SCRIPT LANGUAGE="JavaScript">
<!-- Begin
text = document.getElementById("marqueen").innerHTML; //显示的文字
color1 = "#8000ff"; //文字的颜色
color2 = "green"; //转换的颜色
fontsize = "3"; //字体大小
speed = 500; //转换速度 (1000 = 1 秒) 
i = 0;
if (navigator.appName == "Netscape") {
document.write("<layer id=a visibility=show></layer><br><br><br>");
}
else {
document.write("<div id=a></div>");
}
function changeCharColor() {
if (navigator.appName == "Netscape") {
document.a.document.write("<center><font face=arial size =" + fontsize + "><font color=" + color1 + ">");
for (var j = 0; j < text.length; j++) {
if(j == i) {
document.a.document.write("<font face=arial color=" + color2 + ">" + Text.charAt(i) + "</font>");
}
else {
document.a.document.write(text.charAt(j));
}
}
document.a.document.write('</font></font></center>');
document.a.document.close();
}
if (navigator.appName == "Microsoft Internet Explorer") {
str = "<center><font face=arial size=" + fontsize + "><font color=" + color1 + ">";
for (var j = 0; j < text.length; j++) {
if( j == i) {
str += "<font face=arial color=" + color2 + ">" + text.charAt(i) + "</font>";
}
else {
str += text.charAt(j);
}
}
str += "</font></font></center>";
a.innerHTML = str;
}
(i == text.length) ? i=0 : i++;
}
setInterval("changeCharColor()", speed);
// End -->
</SCRIPT></i></b>
        </marquee>
  </body>
</html>
